package requestmapping

import (
	"PaymentCenter/app/constants/common"
	"PaymentCenter/app/http/entities"
	"PaymentCenter/app/http/entities/front"
)

var FrontRequestMap = map[string]func() (validForm interface{}, isSaveLog bool){
	common.FRONT_V1 + "/pay/url":    func() (interface{}, bool) { return new(front.PayReqs), true },
	common.FRONT_V2 + "/pay/url":    func() (interface{}, bool) { return new(front.PayReqsV2), true },
	common.FRONT_V1 + "/pay/refund": func() (interface{}, bool) { return new(front.RefundReqs), true },
	common.FRONT_V1 + "/pay/query":  func() (interface{}, bool) { return new(front.QueryReqs), false },
	common.FRONT_V1 + "/pay/close":  func() (interface{}, bool) { return new(front.CloseReqs), true },
	common.FRONT_V1 + "/wx/payurl":  func() (interface{}, bool) { return new(front.WxJsApiPayRequest), true },

	common.PayPageAddress: func() (interface{}, bool) { return new(entities.IdRequest), true },
}

var FrontRequestMapBeforeDecrypt = map[string]func() interface{}{

	common.FRONT_V1 + "/pay/url":         func() interface{} { return new(front.RequestBody) },
	common.FRONT_V2 + "/pay/url":         func() interface{} { return new(front.RequestBody) },
	common.FRONT_V1 + "/pay/refund":      func() interface{} { return new(front.RequestBody) },
	common.FRONT_V1 + "/pay/query":       func() interface{} { return new(front.RequestBody) },
	common.FRONT_V1 + "/pay/close":       func() interface{} { return new(front.CloseReqs) },
	common.FRONT_V1 + "/wx/index":        func() interface{} { return new(entities.PageRequest) },
	common.FRONT_V1 + "/wx/getWxAuthUrl": func() interface{} { return new(front.GetWxAuthUrlRequest) },
	common.FRONT_V1 + "/wx/getWxAuth":    func() interface{} { return new(front.GetWxAuthRequest) },
	common.FRONT_V1 + "/wx/getCode":      func() interface{} { return new(front.GetWxAuthRequest) },

	common.FRONT_V1 + "/payPage/list":   func() interface{} { return new(front.PayChannelListRequest) },
	common.FRONT_V1 + "/payPage/submit": func() interface{} { return new(front.GetPayLinkRequest) },

	common.WXCodeRedirectAddress: func() interface{} { return new(front.WxJsApiPayRequest) },
}
